classification
Title: test_posix.PosixTester.test_getgroups fail on operating systems without supporting unix shell
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Python should support VxWorks RTOS
View: 31904
Assigned To: Nosy List: pxinwr
Priority: normal Keywords: patch

Created on 2020-07-30 10:05 by pxinwr, last changed 2020-12-08 23:24 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21687 merged pxinwr, 2020-07-30 10:11
Messages (2)
msg374609 - (view) Author: Peixing Xin (pxinwr) * Date: 2020-07-30 10:05
test_posix.PosixTester.test_getgroups requires unix shell supported on tested platform. However some operating systems like VxWorks doesn't support unix shell. This case will fail on it.
msg381715 - (view) Author: Peixing Xin (pxinwr) * Date: 2020-11-24 08:38
The issue has been moved into bpo31904.
History
Date User Action Args
2020-12-08 23:24:37vstinnersetsuperseder: Python should support VxWorks RTOS
2020-11-24 08:38:29pxinwrsetstatus: open -> closed
resolution: duplicate
messages: + msg381715

stage: patch review -> resolved
2020-07-30 10:11:47pxinwrsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20830
2020-07-30 10:05:24pxinwrcreate